/// <reference types="node" />
import sharp from "sharp";
import type { Color } from "sharp";
import { ImageJoiner } from "./ImageJoiner";
export type DrawOptions = {
    resize?: {
        width: number;
        height: number;
    };
    row_gap?: number;
    col_gap?: number;
    background_color?: Color;
};
export interface GridItemOption {
    row: number;
    col: number;
    row_space?: number;
    col_space?: number;
}
export type ImageContent = string | Buffer;
export declare class GridImageJoiner implements ImageJoiner {
    private images;
    private grid_rows;
    private grid_cols;
    private loader;
    constructor(grid_rows: number, grid_cols: number);
    private sizeCheck;
    private pushImage;
    loadImageFromLocal(path: string, options: GridItemOption): void;
    loadImageFromObj(image: string | Buffer, options: GridItemOption): void;
    private getImageSize;
    draw(options?: DrawOptions): Promise<sharp.Sharp>;
    clear(): void;
}
